import { request } from '@vtx/utils';

export const getInfo = async id => {
    const res = await request.get(`/cloud/gas/api/v1/homeSecurityCheckRecord/get`, {
        body: {
            id,
        },
    });
    if (res?.result === 0) {
        const data = res?.data || {};
        return {
            ...data,
            configList: JSON.parse(data.checkProjectDetailJson || '[]'),
        };
    }
    return {};
};
